Subject: RE: [pim] IGMPv3 and RFC 2715

From: "bharat_joshi" <[email-masked]>
Date: Thu, 22 May 2003 10:04:12 +0530

On Wednesday, May 21, 2003, at 07:21 AM, Shankar Vasudevan wrote:

> Hi *,
>
>   RFC 2715 specifies how a IGMP-only component interops with other 
> multicast routing protocols. This covers IGMPv2 only. Is there a 
> similar specification which extends the same interop rules to IGMPv3 ?
>
>  I am more interested in the behaviour of a router which has the 
> PIM-SM on some links and IGMPv3 on other links, and when a (S,G) 
> exclude is received and how this is reflected in the PIM-SM protocol.
>
>   Is there any implementation which has IGMPv3 (S,G) exclude messages 
> triggering PIM-SM (S,G,rpt) prunes ?
>

IGMPv3 is used with SSM.  RP-bit prunes are part of ASM.
It would be "better" to convince your customer that they want to move 
to SSM than
to try to integrate IGMPv3 (S,G) include/exclude messages into ASM.
(I'll admit I don't see why runbox would be interested in ASM).

-----------------

Hi,

I think if your PIM router is connected to a LAN which understand IGMPv3 and is a DR on that LAN than if Router receives a IGMPv3 exclude report for lets say source "s" than he will need to send a (*,G) join and (S,G,Rpt) prune message.

I think a implementation has to support this.

If the router is not running PIM on the LAN interface where it hear a IGMPv3 join than it can not take any action because the DR on that LAN is suppose to take care of the IGMP hosts.

Thanks,
Bharat

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim

---

From: "Shankar Vasudevan" <[email-masked]>
Date: Thu, 22 May 2003 07:18:17 GMT

Hi Bharat,

   There is no need for PIM to be running on the LAN. Here is where RFC 2715 comes in to picture. How else will the IGMP protocol by itself bring down traffic to the LAN ?
it has to speak to some multicast routing protocol right ?
   
Best Regards,
shankar

---

From: "bharat_joshi" <[email-masked]>
Date: Thu, 22 May 2003 13:16:21 +0530

Hi Shankar,

I think we both agree that when PIM is running on the LAN interface, it will take care of the IGMPv3 exclude message by sending a (*,G) and ( S,G,Rpt ) join message towards RP.

Now if you are not running PIM on this interface or you are running some other multicast routing protocol lets say DVMRP. This router will become the PIM domain border router and now will act as a PMBR.

Now for this kind of scenarios, section 4.7 in PIM draft defines the behaviour of a PMBR.

HTH,
Bharat

-----Original Message-----
From:	Shankar Vasudevan [mailto:[email-masked]]
Sent:	Thu 5/22/2003 12:48 PM
To:	bharat_joshi
Cc:	[email-masked]; [email-masked]
Subject:	Re: [pim] IGMPv3 and RFC 2715

Hi Bharat,

Best Regards,
shankar